Package com.sas.lsaf.execution.job

## Class ManifestProgram

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestFileRef
  - - com.sas.lsaf.execution.job.ManifestProgram

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class ManifestProgram
      extends ManifestFileRef

  The client representation of a program file that is in a job manifest file.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ManifestProgram.ExecutionStatus` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestProgram​(ManifestFile manifestFile, ManifestProgram.ExecutionStatus executionStatus, java.lang.Long executionTime, java.lang.String executionStatusMessage)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `ManifestProgram.ExecutionStatus` | `getExecutionState()` | Gets the execution status of the program.
    `java.lang.String` | `getExecutionStatusMessage()` | Gets the detailed message about the execution status.
    `java.lang.Long` | `getExecutionTime()` | Gets the total execution time (in ms) for the program.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.execution.job.ManifestFileRef

      `getFile, getId, getLastModified, getName, getPath, getVersion, isRepositoryFile, isWorkspaceFile`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestProgram

          public ManifestProgram​(ManifestFile manifestFile,
                                 ManifestProgram.ExecutionStatus executionStatus,
                                 java.lang.Long executionTime,
                                 java.lang.String executionStatusMessage)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the manifest files returned by the API.
      Parameters:
        `manifestFile` - The file object that represents a program from the job submission.
        `executionStatus` - The execution status of the program.
        `executionTime` - The total execution time (in ms) for the program.
        `executionStatusMessage` - The detailed message about the execution status.

  - ### Method Detail

    - #### getExecutionStatusMessage

          public java.lang.String getExecutionStatusMessage()

      Gets the detailed message about the execution status.
      Returns:
        The detailed message.

    - #### getExecutionState

          public ManifestProgram.ExecutionStatus getExecutionState()

      Gets the execution status of the program.
      Returns:
        The execution status.

    - #### getExecutionTime

          public java.lang.Long getExecutionTime()

      Gets the total execution time (in ms) for the program.
      Returns:
        The total execution time (in ms).

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ManifestFileRef`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ManifestFileRef`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ManifestFileRef`